summaryrefslogtreecommitdiffstats
path: root/office/goldendict
diff options
context:
space:
mode:
author Andrey Butirsky <butirsky@gmail.com>2017-03-21 23:33:44 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 00:07:32 +0000
commitfaed5dfb2e84782713938ec7b2e6a92b95f09504 (patch)
tree1d75de1a931bbbd75763a34706f7105590658e4a /office/goldendict
parenta573888530a877c7492df56812fbe44677bded41 (diff)
downloadslackbuilds-faed5dfb2e84782713938ec7b2e6a92b95f09504.tar.gz
slackbuilds-faed5dfb2e84782713938ec7b2e6a92b95f09504.tar.xz
office/goldendict: Added (dictionary lookup program).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office/goldendict')
-rw-r--r--office/goldendict/README9
-rw-r--r--office/goldendict/doinst.sh3
-rw-r--r--office/goldendict/goldendict.SlackBuild74
-rw-r--r--office/goldendict/goldendict.info10
-rw-r--r--office/goldendict/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/office/goldendict/README b/office/goldendict/README
new file mode 100644
index 0000000000..1c0f6a40d3
--- /dev/null
+++ b/office/goldendict/README
@@ -0,0 +1,9 @@
+goldendict (dictionary lookup program)
+
+The GoldenDict project aims to create a feature-rich dictionary
+lookup program.
+
+qt5 is an optional dependency.
+
+To build without ffmpeg, pass this to the script:
+DISABLE_INTERNAL_PLAYER=1
diff --git a/office/goldendict/doinst.sh b/office/goldendict/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/goldendict/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/goldendict/goldendict.SlackBuild b/office/goldendict/goldendict.SlackBuild
new file mode 100644
index 0000000000..3f3f4fc23b
--- /dev/null
+++ b/office/goldendict/goldendict.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for GoldenDict
+
+# Copyright (C) 2014,2017 Damien Goutte-Gattat
+# Copyright (C) 2017 Andrey Butirsky
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Contacts: Damien Goutte-Gattat <dgouttegattat@incenp.org> (original author)
+# Andrey Butirsky <butirsky@gmail.com>
+
+PRGNAM=goldendict
+VERSION=${VERSION:-1.5.0_RC2}
+SRCVER=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+
+$(type -p qmake-qt5 || echo qmake) PREFIX=/usr \
+ CONFIG+=no_epwing_support \
+ DISABLE_INTERNAL_PLAYER=$DISABLE_INTERNAL_PLAYER
+make install INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CREDITS.txt LICENSE.txt README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/goldendict/goldendict.info b/office/goldendict/goldendict.info
new file mode 100644
index 0000000000..e0067bb73e
--- /dev/null
+++ b/office/goldendict/goldendict.info
@@ -0,0 +1,10 @@
+PRGNAM="goldendict"
+VERSION="1.5.0_RC2"
+HOMEPAGE="http://goldendict.org/"
+DOWNLOAD="https://github.com/goldendict/goldendict/archive/1.5.0-RC2/goldendict-1.5.0-RC2.tar.gz"
+MD5SUM="7ec8ac80365c8d09c936eea16f8e1d04"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg"
+MAINTAINER="Andrey Butirsky"
+EMAIL="butirsky@gmail.com"
diff --git a/office/goldendict/slack-desc b/office/goldendict/slack-desc
new file mode 100644
index 0000000000..c4b28294a0
--- /dev/null
+++ b/office/goldendict/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+goldendict: goldendict (dictionary lookup program)
+goldendict:
+goldendict: The GoldenDict project aims to create a feature-rich dictionary
+goldendict: lookup program.
+goldendict:
+goldendict:
+goldendict:
+goldendict:
+goldendict:
+goldendict:
+goldendict: